Bug 539502 - postfix: access restriction provisioning is not available.
postfix: access restriction provisioning is not available.
Status: CLOSED WONTFIX
Product: RHQ Project
Classification: Other
Component: Configuration (Show other bugs)
1.4
All Linux
low Severity low (vote)
: ---
: ---
Assigned To: RHQ Project Maintainer
: SubBug
Depends On:
Blocks: rhq_triage
  Show dependency treegraph
 
Reported: 2009-11-20 07:10 EST by Sudhir D
Modified: 2014-05-16 10:00 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-05-16 10:00:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Sudhir D 2009-11-20 07:10:10 EST
Description of problem:
Though we have the ability to edit /etc/postfix/access file, the change however is not effective as we do not have options to add hash via iManage UI which can point to this access file.

However, if we add the restriction manually into main.cf and reload run postmap and reload and restart postfix, the restrictions become effective.

Version-Release number of selected component (if applicable):
1.4

How reproducible:
100%

Steps to Reproduce:
1. Login to iManage UI.
2. Click on Platform and select the server where Postfix Server is running.
3. Click on Postfix Server and click on Access.
4. Edit the Access and add a restriction for a user who has postfix account running.
5. Save and close the access.
6. Try to send a mail from the user for whom we just added a reject.
 
Actual results:
e-mail can be sent successfully.

Expected results:
e-mail should not be sent successfully and the message under "Argument" should be displayed.

Additional info:
Adding smtpd_sender_restrictions = hash:/etc/postfix/access and then run postmap and reload and restart postfix, would give the desired result.
Comment 1 wes hayutin 2010-02-16 11:54:31 EST
Temporarily adding the keyword "SubBug" so we can be sure we have accounted for all the bugs.

keyword:
new = Tracking + FutureFeature + SubBug
Comment 2 wes hayutin 2010-02-16 11:59:59 EST
making sure we're not missing any bugs in rhq_triage
Comment 3 Corey Welton 2010-10-05 09:08:16 EDT
Lowering severity/priority - not an enterprise plugin

Note You need to log in before you can comment on or make changes to this bug.